Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkExtentTranslator Class Reference

`#include <vtkExtentTranslator.h>`

Inheritance diagram for vtkExtentTranslator:

[legend]
Collaboration diagram for vtkExtentTranslator:

[legend]
List of all members.

## Detailed Description

Generates a structured extent from unstructured.

Date:
  2002/01/22 15:25:22

Revision:
  1.15

vtkExtentTranslator generates a structured extent from an unstructured extent. It uses a recursive scheme that splits the largest axis. A hard coded extent can be used for a starting point.

Warning:
  This object is still under development.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (49%)
  - Martin, Ken (39%)

CVS logs (CVSweb):
  - .`h` (`/Common/vtkExtentTranslator.h)`
  - .`cxx` (`/Common/vtkExtentTranslator.cxx)`

Definition at line 48 of file vtkExtentTranslator.h.

## Public Types
typedef vtkObject | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetWholeExtent (int, int, int, int, int, int)
virtual void | SetWholeExtent (int[6])
virtual int * | GetWholeExtent ()
virtual void | GetWholeExtent (int &, int &, int &, int &, int &, int &)
virtual void | GetWholeExtent (int[6])
virtual void | SetExtent (int, int, int, int, int, int)
virtual void | SetExtent (int[6])
virtual int * | GetExtent ()
virtual void | GetExtent (int &, int &, int &, int &, int &, int &)
virtual void | GetExtent (int[6])
virtual void | SetPiece (int)
virtual int | GetPiece ()
virtual void | SetNumberOfPieces (int)
virtual int | GetNumberOfPieces ()
virtual void | SetGhostLevel (int)
virtual int | GetGhostLevel ()
virtual int | PieceToExtent ()
virtual int | PieceToExtentByPoints ()
virtual int | PieceToExtentThreadSafe (int piece, int numPieces, int ghostLevel, int *wholeExtent, int *resultExtent, int splitMode, int byPoints)
void | SetSplitModeToBlock ()
void | SetSplitModeToXSlab ()
void | SetSplitModeToYSlab ()
void | SetSplitModeToZSlab ()
virtual int | GetSplitMode ()
## Static Public Methods
vtkExtentTranslator * | New ()
int | IsTypeOf (const char *type)
vtkExtentTranslator * | SafeDownCast (vtkObject *o)
## Protected Types
enum | Modes { X_SLAB_MODE = 0, Y_SLAB_MODE = 1, Z_SLAB_MODE = 2, BLOCK_MODE = 3 }
## Protected Methods
| vtkExtentTranslator ()
| ~vtkExtentTranslator ()
int | SplitExtent (int piece, int numPieces, int *extent, int splitMode)
int | SplitExtentByPoints (int piece, int numPieces, int *extent, int splitMode)
## Protected Attributes
int | Piece
int | NumberOfPieces
int | GhostLevel
int | Extent [6]
int | WholeExtent [6]
int | SplitMode

## Member Typedef Documentation

typedef vtkObject vtkExtentTranslator::Superclass

| Reimplemented from vtkObject. Reimplemented in vtkMultiPartExtentTranslator, vtkTableExtentTranslator, and vtkBranchExtentTranslator. Definition at line 53 of file vtkExtentTranslator.h.

## Member Enumeration Documentation

enum vtkExtentTranslator::Modes`[protected]`

  | Enumeration values:
  X_SLAB_MODE |
  Y_SLAB_MODE |
  Z_SLAB_MODE |
  BLOCK_MODE |
Definition at line 125 of file vtkExtentTranslator.h.

## Constructor & Destructor Documentation

vtkExtentTranslator::vtkExtentTranslator | ( |  | ) | `[protected]`

vtkExtentTranslator::~vtkExtentTranslator | ( |  | ) | `[protected]`

## Member Function Documentation

vtkExtentTranslator* vtkExtentTranslator::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject. Reimplemented in vtkMultiPartExtentTranslator, vtkTableExtentTranslator, and vtkBranchExtentTranslator.

virtual const char* vtkExtentTranslator::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkObject. Reimplemented in vtkMultiPartExtentTranslator, vtkTableExtentTranslator, and vtkBranchExtentTranslator.

int vtkExtentTranslator::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject. Reimplemented in vtkMultiPartExtentTranslator, vtkTableExtentTranslator, and vtkBranchExtentTranslator.

virtual int vtkExtentTranslator::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject. Reimplemented in vtkMultiPartExtentTranslator, vtkTableExtentTranslator, and vtkBranchExtentTranslator.

vtkExtentTranslator* vtkExtentTranslator::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkObject. Reimplemented in vtkMultiPartExtentTranslator, vtkTableExtentTranslator, and vtkBranchExtentTranslator.

void vtkExtentTranslator::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkObject. Reimplemented in vtkTableExtentTranslator, and vtkBranchExtentTranslator.

virtual void vtkExtentTranslator::SetWholeExtent | ( | int | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | int |
| ) | `[virtual]`

| Set the Piece/NumPieces. Set the WholeExtent and then call PieceToExtent. The result can be obtained from the Extent ivar.

virtual void vtkExtentTranslator::SetWholeExtent | ( | int | [6] | ) | `[virtual]`

| Set the Piece/NumPieces. Set the WholeExtent and then call PieceToExtent. The result can be obtained from the Extent ivar.

virtual int* vtkExtentTranslator::GetWholeExtent | ( |  | ) | `[virtual]`

| Set the Piece/NumPieces. Set the WholeExtent and then call PieceToExtent. The result can be obtained from the Extent ivar.

virtual void vtkExtentTranslator::GetWholeExtent | ( | int & | ,
|  | int & | ,
|  | int & | ,
|  | int & | ,
|  | int & | ,
|  | int & |
| ) | `[virtual]`

| Set the Piece/NumPieces. Set the WholeExtent and then call PieceToExtent. The result can be obtained from the Extent ivar.

virtual void vtkExtentTranslator::GetWholeExtent | ( | int | [6] | ) | `[virtual]`

| Set the Piece/NumPieces. Set the WholeExtent and then call PieceToExtent. The result can be obtained from the Extent ivar.

virtual void vtkExtentTranslator::SetExtent | ( | int | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | int |
| ) | `[virtual]`

| Set the Piece/NumPieces. Set the WholeExtent and then call PieceToExtent. The result can be obtained from the Extent ivar.

virtual void vtkExtentTranslator::SetExtent | ( | int | [6] | ) | `[virtual]`

| Set the Piece/NumPieces. Set the WholeExtent and then call PieceToExtent. The result can be obtained from the Extent ivar.

virtual int* vtkExtentTranslator::GetExtent | ( |  | ) | `[virtual]`

| Set the Piece/NumPieces. Set the WholeExtent and then call PieceToExtent. The result can be obtained from the Extent ivar.

virtual void vtkExtentTranslator::GetExtent | ( | int & | ,
|  | int & | ,
|  | int & | ,
|  | int & | ,
|  | int & | ,
|  | int & |
| ) | `[virtual]`

| Set the Piece/NumPieces. Set the WholeExtent and then call PieceToExtent. The result can be obtained from the Extent ivar.

virtual void vtkExtentTranslator::GetExtent | ( | int | [6] | ) | `[virtual]`

| Set the Piece/NumPieces. Set the WholeExtent and then call PieceToExtent. The result can be obtained from the Extent ivar.

virtual void vtkExtentTranslator::SetPiece | ( | int |  | ) | `[virtual]`

| Set the Piece/NumPieces. Set the WholeExtent and then call PieceToExtent. The result can be obtained from the Extent ivar.

virtual int vtkExtentTranslator::GetPiece | ( |  | ) | `[virtual]`

| Set the Piece/NumPieces. Set the WholeExtent and then call PieceToExtent. The result can be obtained from the Extent ivar.

virtual void vtkExtentTranslator::SetNumberOfPieces | ( | int |  | ) | `[virtual]`

| Set the Piece/NumPieces. Set the WholeExtent and then call PieceToExtent. The result can be obtained from the Extent ivar. Reimplemented in vtkTableExtentTranslator.

virtual int vtkExtentTranslator::GetNumberOfPieces | ( |  | ) | `[virtual]`

| Set the Piece/NumPieces. Set the WholeExtent and then call PieceToExtent. The result can be obtained from the Extent ivar.

virtual void vtkExtentTranslator::SetGhostLevel | ( | int |  | ) | `[virtual]`

| Set the Piece/NumPieces. Set the WholeExtent and then call PieceToExtent. The result can be obtained from the Extent ivar.

virtual int vtkExtentTranslator::GetGhostLevel | ( |  | ) | `[virtual]`

| Set the Piece/NumPieces. Set the WholeExtent and then call PieceToExtent. The result can be obtained from the Extent ivar.

virtual int vtkExtentTranslator::PieceToExtent | ( |  | ) | `[virtual]`

| These are the main methods that should be called. These methods are responsible for converting a piece to an extent. The signatures without arguments are only thread safe when each thread accesses a different instance. The signatures with arguements are fully thread safe. Reimplemented in vtkTableExtentTranslator, and vtkBranchExtentTranslator.

virtual int vtkExtentTranslator::PieceToExtentByPoints | ( |  | ) | `[virtual]`

| These are the main methods that should be called. These methods are responsible for converting a piece to an extent. The signatures without arguments are only thread safe when each thread accesses a different instance. The signatures with arguements are fully thread safe. Reimplemented in vtkTableExtentTranslator.

virtual int vtkExtentTranslator::PieceToExtentThreadSafe | ( | int | piece,
|  | int | numPieces,
|  | int | ghostLevel,
|  | int * | wholeExtent,
|  | int * | resultExtent,
|  | int | splitMode,
|  | int | byPoints
| ) | `[virtual]`

| These are the main methods that should be called. These methods are responsible for converting a piece to an extent. The signatures without arguments are only thread safe when each thread accesses a different instance. The signatures with arguements are fully thread safe. Reimplemented in vtkMultiPartExtentTranslator, and vtkTableExtentTranslator.

void vtkExtentTranslator::SetSplitModeToBlock | ( |  | ) | `[inline]`

| How should the streamer break up extents. Block mode tries to break an extent up into cube blocks. It always chooses the largest axis to split. Slab mode first breaks up the Z axis. If it gets to one slice, then it starts breaking up other axes. Definition at line 92 of file vtkExtentTranslator.h. References BLOCK_MODE.

void vtkExtentTranslator::SetSplitModeToXSlab | ( |  | ) | `[inline]`

| How should the streamer break up extents. Block mode tries to break an extent up into cube blocks. It always chooses the largest axis to split. Slab mode first breaks up the Z axis. If it gets to one slice, then it starts breaking up other axes. Definition at line 94 of file vtkExtentTranslator.h. References X_SLAB_MODE.

void vtkExtentTranslator::SetSplitModeToYSlab | ( |  | ) | `[inline]`

| How should the streamer break up extents. Block mode tries to break an extent up into cube blocks. It always chooses the largest axis to split. Slab mode first breaks up the Z axis. If it gets to one slice, then it starts breaking up other axes. Definition at line 96 of file vtkExtentTranslator.h. References Y_SLAB_MODE.

void vtkExtentTranslator::SetSplitModeToZSlab | ( |  | ) | `[inline]`

| How should the streamer break up extents. Block mode tries to break an extent up into cube blocks. It always chooses the largest axis to split. Slab mode first breaks up the Z axis. If it gets to one slice, then it starts breaking up other axes. Definition at line 98 of file vtkExtentTranslator.h. References Z_SLAB_MODE.

virtual int vtkExtentTranslator::GetSplitMode | ( |  | ) | `[virtual]`

| How should the streamer break up extents. Block mode tries to break an extent up into cube blocks. It always chooses the largest axis to split. Slab mode first breaks up the Z axis. If it gets to one slice, then it starts breaking up other axes.

int vtkExtentTranslator::SplitExtent | ( | int | piece,
|  | int | numPieces,
|  | int * | extent,
|  | int | splitMode
| ) | `[protected]`

| Returns 0 if no data exist for a piece. The whole extent Should be passed in as the extent. It is modified to return the result.

int vtkExtentTranslator::SplitExtentByPoints | ( | int | piece,
|  | int | numPieces,
|  | int * | extent,
|  | int | splitMode
| ) | `[protected]`

| Returns 0 if no data exist for a piece. The whole extent Should be passed in as the extent. It is modified to return the result.

## Member Data Documentation

int vtkExtentTranslator::Piece`[protected]`

| Definition at line 115 of file vtkExtentTranslator.h.

int vtkExtentTranslator::NumberOfPieces`[protected]`

| Definition at line 116 of file vtkExtentTranslator.h.

int vtkExtentTranslator::GhostLevel`[protected]`

| Definition at line 117 of file vtkExtentTranslator.h.

int vtkExtentTranslator::Extent[6]`[protected]`

| Definition at line 118 of file vtkExtentTranslator.h.

int vtkExtentTranslator::WholeExtent[6]`[protected]`

| Definition at line 119 of file vtkExtentTranslator.h.

int vtkExtentTranslator::SplitMode`[protected]`

| Definition at line 120 of file vtkExtentTranslator.h.

The documentation for this class was generated from the following file:

- Common/vtkExtentTranslator.h